
Redmine - Defect #10241

"get version by ID" fails with "401 not authorized" error when using API access key

2012-02-15 10:31 - Alex Last

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version: 1.3.2   

Resolution: Fixed Affected version: 1.3.1

Description

trying the same with login and password works fine.

other requests (get project or whatever) with the same API Access key work fine.

Associated revisions

Revision 8880 - 2012-02-15 19:09 - Jean-Philippe Lang

Allow API auth on GET /versions/:id (#10241).

History

#1 - 2012-02-15 10:47 - Alex Last

my Redmine is behind Apache2

#2 - 2012-02-15 19:09 - Jean-Philippe Lang

- Assignee set to Jean-Philippe Lang

- Target version set to 1.3.2

- Resolution set to Fixed

Fixed in r8880.

#3 - 2012-02-15 19:11 - Alex Last

great news, thanks. I can't find revision 8880 in SVN, though. The latest one is currently 8875

#4 - 2012-02-15 19:12 - Alex Last

- Status changed from New to Resolved

don't know why the status got changed to "new". I will change it to "resolved".

#5 - 2012-02-15 19:15 - Alex Last

oh, wait. "Status" and "resolution" are different fields now... so maybe you wanted to keep the status as "new" for some reason. I can't change it back.

#6 - 2012-02-15 19:17 - Etienne Massip

Alexey Skor wrote:

oh, wait. "Status" and "resolution" are different fields now... so maybe you wanted to keep the status as "new" for some reason. I can't change it

back.

 It's fine as Resolved =)

#7 - 2012-02-15 19:21 - Alex Last

ok, btw, maybe you could comment on this weird issue we have with Redmine authorization in Redmine Java API: 

http://code.google.com/p/redmine-java-api/issues/detail?id=72

it seems quite inconsistent. sometimes it works, sometimes it does not and we don't see a pattern there.

#8 - 2012-03-05 14:06 - Jean-Philippe Lang
https://www.redmine.org/projects/redmine/repository/svn/revisions/8880
http://code.google.com/p/redmine-java-api/issues/detail?id=72


- Status changed from Resolved to Closed

Merged.

Alexey Skor wrote:

ok, btw, maybe you could comment on this weird issue we have with Redmine authorization in Redmine Java API: 

http://code.google.com/p/redmine-java-api/issues/detail?id=72

it seems quite inconsistent. sometimes it works, sometimes it does not and we don't see a pattern there.

 Maybe the same as #10303.
